import{s as kt,n as bt,o as wt}from"../chunks/scheduler.a2b4ca8e.js";import{S as Ct,i as Lt,g as a,s,r as Z,A as Ht,h as r,f as n,c as l,j as Mt,u as tt,x as o,k as yt,y as Pt,a as i,v as et,d as nt,t as it,w as st}from"../chunks/index.d2f673cc.js";import{H as lt}from"../chunks/Heading.675d4c1e.js";function Bt(at){let p,B,H,z,m,I,u,rt="How fast is Mistralv0.2 on Inferentia2?  Let’s figure out!",S,f,ot="For this benchmark we will use the following configurations:",A,h,pt="<thead><tr><th>Model type</th> <th>batch_size</th> <th>sequence_length</th></tr></thead> <tbody><tr><td>Mistral 7B BS1</td> <td>1</td> <td>4096</td></tr> <tr><td>Mistral 7B BS4</td> <td>4</td> <td>4096</td></tr> <tr><td>Mistral 7B BS8</td> <td>8</td> <td>4096</td></tr> <tr><td>Mistral 7B BS16</td> <td>16</td> <td>4096</td></tr> <tr><td>Mistral 7B BS32</td> <td>32</td> <td>4096</td></tr></tbody>",q,c,mt="<em>Note: all models are compiled to use 4 devices corresponding to 8 cores on the <code>inf2.48xlarge</code> instance.</em>",E,d,ut='<em>Note: please refer to the <a href="https://aws.amazon.com/ec2/instance-types/inf2/" rel="nofollow">inferentia2 product page</a> for details on the available instances.</em>',j,v,R,g,ft=`The time to first token is the time required to process the input tokens and generate the first output token.
It is a very important metric, as it corresponds to the latency directly perceived by the user when streaming generated tokens.`,W,T,ht="We test the time to first token for increasing context sizes, from a typical Q/A usage, to heavy Retrieval Augmented Generation (RAG) use-cases.",F,x,ct="Time to first token is expressed in <strong>seconds</strong>.",G,$,dt='<img src="https://raw.githubusercontent.com/huggingface/optimum-neuron/main/docs/assets/benchmarks/inferentia-mistral-v2/ttft.png" alt="Mistral 7b inferentia2 TTFT" title="Time to first token"/>',N,_,U,M,vt="The inter-token latency corresponds to the average time elapsed between two generated tokens.",Q,y,gt="It is expressed in <strong>milliseconds</strong>.",D,k,Tt='<img src="https://raw.githubusercontent.com/huggingface/optimum-neuron/main/docs/assets/benchmarks/inferentia-mistral-v2/latency.png" alt="Mistral 7b inferentia2 inter-token latency" title="Inter-token latency"/>',J,b,K,w,xt=`Unlike some other benchmarks, we evaluate the throughput using generated tokens only, by dividing their number
by the end-to-end latency.`,O,C,$t="Throughput is expressed in <strong>tokens/second</strong>.",V,L,_t='<img src="https://raw.githubusercontent.com/huggingface/optimum-neuron/main/docs/assets/benchmarks/inferentia-mistral-v2/throughput.png" alt="Mistral 7b inferentia2 throughput" title="Throughput"/>',X,P,Y;return m=new lt({props:{title:"Mistral-7b-Instruct-v0.2 performance on AWS Inferentia2 (Latency & Througput)",local:"mistral-7b-instruct-v02-performance-on-aws-inferentia2-latency--througput",headingTag:"h1"}}),v=new lt({props:{title:"Time to first token",local:"time-to-first-token",headingTag:"h2"}}),_=new lt({props:{title:"Inter-token Latency",local:"inter-token-latency",headingTag:"h2"}}),b=new lt({props:{title:"Throughput",local:"throughput",headingTag:"h3"}}),{c(){p=a("meta"),B=s(),H=a("p"),z=s(),Z(m.$$.fragment),I=s(),u=a("p"),u.textContent=rt,S=s(),f=a("p"),f.textContent=ot,A=s(),h=a("table"),h.innerHTML=pt,q=s(),c=a("p"),c.innerHTML=mt,E=s(),d=a("p"),d.innerHTML=ut,j=s(),Z(v.$$.fragment),R=s(),g=a("p"),g.textContent=ft,W=s(),T=a("p"),T.textContent=ht,F=s(),x=a("p"),x.innerHTML=ct,G=s(),$=a("p"),$.innerHTML=dt,N=s(),Z(_.$$.fragment),U=s(),M=a("p"),M.textContent=vt,Q=s(),y=a("p"),y.innerHTML=gt,D=s(),k=a("p"),k.innerHTML=Tt,J=s(),Z(b.$$.fragment),K=s(),w=a("p"),w.textContent=xt,O=s(),C=a("p"),C.innerHTML=$t,V=s(),L=a("p"),L.innerHTML=_t,X=s(),P=a("p"),this.h()},l(t){const e=Ht("svelte-u9bgzb",document.head);p=r(e,"META",{name:!0,content:!0}),e.forEach(n),B=l(t),H=r(t,"P",{}),Mt(H).forEach(n),z=l(t),tt(m.$$.fragment,t),I=l(t),u=r(t,"P",{"data-svelte-h":!0}),o(u)!=="svelte-1twjwsz"&&(u.textContent=rt),S=l(t),f=r(t,"P",{"data-svelte-h":!0}),o(f)!=="svelte-18zzjby"&&(f.textContent=ot),A=l(t),h=r(t,"TABLE",{"data-svelte-h":!0}),o(h)!=="svelte-a1iqz6"&&(h.innerHTML=pt),q=l(t),c=r(t,"P",{"data-svelte-h":!0}),o(c)!=="svelte-tktwzm"&&(c.innerHTML=mt),E=l(t),d=r(t,"P",{"data-svelte-h":!0}),o(d)!=="svelte-1zgafe"&&(d.innerHTML=ut),j=l(t),tt(v.$$.fragment,t),R=l(t),g=r(t,"P",{"data-svelte-h":!0}),o(g)!=="svelte-16f7nw9"&&(g.textContent=ft),W=l(t),T=r(t,"P",{"data-svelte-h":!0}),o(T)!=="svelte-e39hxg"&&(T.textContent=ht),F=l(t),x=r(t,"P",{"data-svelte-h":!0}),o(x)!=="svelte-1et04dj"&&(x.innerHTML=ct),G=l(t),$=r(t,"P",{"data-svelte-h":!0}),o($)!=="svelte-1rkscp9"&&($.innerHTML=dt),N=l(t),tt(_.$$.fragment,t),U=l(t),M=r(t,"P",{"data-svelte-h":!0}),o(M)!=="svelte-13h9pgw"&&(M.textContent=vt),Q=l(t),y=r(t,"P",{"data-svelte-h":!0}),o(y)!=="svelte-1ahl198"&&(y.innerHTML=gt),D=l(t),k=r(t,"P",{"data-svelte-h":!0}),o(k)!=="svelte-fon8mc"&&(k.innerHTML=Tt),J=l(t),tt(b.$$.fragment,t),K=l(t),w=r(t,"P",{"data-svelte-h":!0}),o(w)!=="svelte-1a309vq"&&(w.textContent=xt),O=l(t),C=r(t,"P",{"data-svelte-h":!0}),o(C)!=="svelte-14m9i5e"&&(C.innerHTML=$t),V=l(t),L=r(t,"P",{"data-svelte-h":!0}),o(L)!=="svelte-hf4h72"&&(L.innerHTML=_t),X=l(t),P=r(t,"P",{}),Mt(P).forEach(n),this.h()},h(){yt(p,"name","hf:doc:metadata"),yt(p,"content",zt)},m(t,e){Pt(document.head,p),i(t,B,e),i(t,H,e),i(t,z,e),et(m,t,e),i(t,I,e),i(t,u,e),i(t,S,e),i(t,f,e),i(t,A,e),i(t,h,e),i(t,q,e),i(t,c,e),i(t,E,e),i(t,d,e),i(t,j,e),et(v,t,e),i(t,R,e),i(t,g,e),i(t,W,e),i(t,T,e),i(t,F,e),i(t,x,e),i(t,G,e),i(t,$,e),i(t,N,e),et(_,t,e),i(t,U,e),i(t,M,e),i(t,Q,e),i(t,y,e),i(t,D,e),i(t,k,e),i(t,J,e),et(b,t,e),i(t,K,e),i(t,w,e),i(t,O,e),i(t,C,e),i(t,V,e),i(t,L,e),i(t,X,e),i(t,P,e),Y=!0},p:bt,i(t){Y||(nt(m.$$.fragment,t),nt(v.$$.fragment,t),nt(_.$$.fragment,t),nt(b.$$.fragment,t),Y=!0)},o(t){it(m.$$.fragment,t),it(v.$$.fragment,t),it(_.$$.fragment,t),it(b.$$.fragment,t),Y=!1},d(t){t&&(n(B),n(H),n(z),n(I),n(u),n(S),n(f),n(A),n(h),n(q),n(c),n(E),n(d),n(j),n(R),n(g),n(W),n(T),n(F),n(x),n(G),n($),n(N),n(U),n(M),n(Q),n(y),n(D),n(k),n(J),n(K),n(w),n(O),n(C),n(V),n(L),n(X),n(P)),n(p),st(m,t),st(v,t),st(_,t),st(b,t)}}}const zt='{"title":"Mistral-7b-Instruct-v0.2 performance on AWS Inferentia2 (Latency & Througput)","local":"mistral-7b-instruct-v02-performance-on-aws-inferentia2-latency--througput","sections":[{"title":"Time to first token","local":"time-to-first-token","sections":[],"depth":2},{"title":"Inter-token Latency","local":"inter-token-latency","sections":[{"title":"Throughput","local":"throughput","sections":[],"depth":3}],"depth":2}],"depth":1}';function It(at){return wt(()=>{new URLSearchParams(window.location.search).get("fw")}),[]}class Et extends Ct{constructor(p){super(),Lt(this,p,It,Bt,kt,{})}}export{Et as component};
